summaryrefslogtreecommitdiffstats
path: root/source/l/libxml2/libxml2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libxml2/libxml2.SlackBuild')
-rwxr-xr-xsource/l/libxml2/libxml2.SlackBuild3
1 files changed, 2 insertions, 1 deletions
diff --git a/source/l/libxml2/libxml2.SlackBuild b/source/l/libxml2/libxml2.SlackBuild
index 85006e47c..0968495af 100755
--- a/source/l/libxml2/libxml2.SlackBuild
+++ b/source/l/libxml2/libxml2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libxml2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,6 +80,7 @@ find . \
-exec chmod 644 {} \+
zcat $CWD/libxml2.do-not-check-crc.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/libxml2.python3-unicode-errors.patch.gz | patch -p1 --verbose || exit 1
# Fixes for python-3.9.x:
sed -i '/if Py/{s/Py/(Py/;s/)/))/}' python/{types.c,libxml.c}